# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name json

# common part of summary for all the subpackages
%global common_summary Haskell %{pkg_name} parser and printer library

# main description used for all the subpackages
%global common_description This library provides a parser and pretty printer for converting\
between Haskell values and JSON.

Name:           ghc-%{pkg_name}
Version:        0.4.4
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-bytestring-prof, ghc-containers-prof, ghc-mtl-prof, ghc-parsec-prof, ghc-pretty-prof, ghc-syb-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the devel and prof subpkgs, devel post[un] scripts,
# and filelists: ghc-json{,devel,prof}.files
%ghc_lib_package


%changelog
* Wed May 11 2011 Jens Petersen <petersen@redhat.com> - 0.4.4-2
- drop ghc_pkg_deps
- BR ghc-Cabal-devel and 6 ghc-*-prof dependencies
- fix rpmlint warning about pkg_name macro in comment
- drop check section since tests assume QuickCheck 1

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.4.4-1
- BSD license

* Tue May  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.6
